package com.srs.dormitory.mapper;

import java.util.List;

import com.srs.dormitory.domain.DmsNewWenming;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.Dto.DmsSearch;
import com.srs.dormitory.domain.Vo.DomInfo;

/**
 * 文明宿舍Mapper接口
 *
 * @author srs
 * @date 2024-03-28
 */
public interface DmsNewWenmingMapper extends BaseMapper<DmsNewWenming> {

    public List<DomInfo> listView(DmsSearch param);

    /**
     * 查询文明宿舍
     *
     * @param id 文明宿舍主键
     * @return 文明宿舍
     */
    public DmsNewWenming selectDmsNewWenmingById(Long id);

    /**
     * 查询文明宿舍列表
     *
     * @param dmsNewWenming 文明宿舍
     * @return 文明宿舍集合
     */
    List<DmsNewWenming> selectDmsNewWenmingList(DmsNewWenming dmsNewWenming);

    /**
     * 新增文明宿舍
     *
     * @param dmsNewWenming 文明宿舍
     * @return 结果
     */
    int insertDmsNewWenming(DmsNewWenming dmsNewWenming);

    /**
     * 修改文明宿舍
     *
     * @param dmsNewWenming 文明宿舍
     * @return 结果
     */
    int updateDmsNewWenming(DmsNewWenming dmsNewWenming);

    /**
     * 删除文明宿舍
     *
     * @param id 文明宿舍主键
     * @return 结果
     */
    int deleteDmsNewWenmingById(Long id);

    /**
     * 批量删除文明宿舍
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDmsNewWenmingByIds(Long[] ids);
}
